SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Mint 18 sarah - problemi con internet
#21
Ciao STKart

volevo dirti che mi son fatto prestare da un amico un suo dispositivo della RALINK che monta un chip RT5572.

Io avrei trovato i driver (almeno credo) che sono in http://www.mediatek.com/en/downloads1/downloads/

Potresti dargli un'occhiata?

Una domanda: quel 2.6.13 è la versione minima supportata del kernel (io ho la 4.40 (vado a memoria)) ?
e io pago!! At
Cita messaggio
Grazie da:
#22
Si è la versione minima del kernel.
Non li ho scaricati perché il sito vuole una email valida, pare.

Guarda dentro e se c'è il makefile come sopra, basta che segui quanto scritto nel link che ho postato per la compilazione.
Comunque sembrerebbe che sia Debian che Ubuntu indichino che il driver per quella periferica sia l'RT2800USB che erano backport sino alla 14.10 sembra, ma poi pare che siano stati inclusi in trusty, nei nuovi kernel.
Quindi prima fai una prova se te lo trova, se funziona e quali driver vengono installati.
Cita messaggio
Grazie da:
#23
Salve STkart e a tutti coloro che vorranno intervenire.

Forse linux non è per me, e questo mi dispiace molto.
L'ostacolo fondamentale è la lingua inglese che già fatico a comprendere (o parlare) se devo comunicare normalmente con delle persone o se devo tradurre qualcosa diciamo di "normale discorrere); se poi devo entrare in un inglese tecnico la cosa si complica al massimo. Vero che c'è il traduttore quando ci sono da leggere le pagine, ma quando il sistema mi comunica domande o risposte allora nascono i problemi.

Il link http://www.mediatek.com/en/downloads1/downloads/ mi ha fatto delle domande o dato delle risposte che ho interpretato male sicuramente visto che il sistema mi è andato in crash due volte.

La conseguenza è stata che ho dovuto reinstallare tutto per due volte e la terza non me la sono sentita di applicare i cambiamenti richiesti.  Mi arrendo    Mi arrendo

Voglio darmi un'altra possibilità, e mi son fatto prestare da un amico un altro dispositivo wireless corredato di driver anche per linux, ma non so come installare i driver.
Nella cartella principale c'è un make file, ma non so come usarlo (anche se, in inglese, le spiegazioni ci sono). Piange    Piange

Sapreste darmi voi una spiegazione ?


.zip   zippato.zip (Dimensione: 1,12 MB / Download: 4)

P.S.
Allego file zippato della cartella dei driver di linux del dispositivo (ho la certezza che sia quella poiché il comando lsusb mi dice che il chip è quello)
e io pago!! At
Cita messaggio
Grazie da:
#24
Allora, prima hai provato ad infilarlo nella porta usb e vedere se il driver viene installato ?
Oppure in driver manager, se ti offre delle alternative ?

Su questa pagina :
http://askubuntu.com/questions/457061/ra...stallation
viene dichiarato che questi ID hardware della Ralink :
Spoiler :
0b05:17d3
0e8d:760a
0e8d:760b
13d3:3431
13d3:3434
148f:7601
148f:760a
148f:760b
148f:760c
148f:760d
2001:3d04
2717:4106
2955:0001
2955:1001
2a5f:1000
7392:7710
funzionano out of the box, direttamente con il driver integrato.
Guarda con :
Codice:
lsusb
se si tratta di uno di questi.

Ho dato un'occhiata alle istruzioni dovrebbe essere già compilato, salvo forse qualche aggiustamento.
Quindi bisognerebbe provarlo e a seconda degli errori seguire quanto scritto in README_STA_usb.

Ti do un suggerimento, installa systemback :
Codice:
sudo apt-add-repository ppa:nemh/systemback && sudo apt-get update && sudo apt-get install systemback
e su un dispositivo esterno di tua scelta, possibilmente un HDD usb ( per ragioni di velocità ), fai una copia del sistema, così com'è, se metti la spunta "copy user data", ti copia anche tutte le personalizzazioni.
In questa maniera puoi sperimentare i driver senza dover rovinare/reinstallare il tuo sistema principale.

Infatti io ho scelto questa strada sia perché ho una copia funzionante da eventualmente reinstallare in caso di problemi sul disco interno, sia perché in VB, non ci sono i driver della macchina reale e quindi le prove non sono attendibili, in caso di problemi.
Cita messaggio
Grazie da:
#25
Ciao STKart e grazie per il tuo interessamento.

Io infilo il dispositivo usb al suo posto ma mint non se ne accorge. O meglio: dal desktop non ho nessun segnale che mi avvisa dell'esistenza di alcun altro dispositivo. Il sistema si accorge del disco dei driver che è insieme al dispositivo ma non partendo l'autorun (come in windows) non riesco a fargli digerire i suoi driver.

Mentre usando il comando lsusb appare la finestra che ti allego

   

da cui si evidenzia che il sistema ha sentito il dispositivo.

Da drive manager nessun segnale che mi metta alla ricerca dei driver anche con il relativo cd inserito nel lettore.

Nel post precedente ti ho allegato copia della cartella originale (presa dal cd) dei driver di linux.
Nella dir principale c'è quel makefile che non so come trattarlo.
Devo andare su terminale e dargli qualche comando ??

Spero solo che la tua pazienza non sia agli sgoccioli  Per favore    Per favore

P.S.
Con systemback posso trasferire una copia del sistema anche su una pen drive ??
e io pago!! At
Cita messaggio
Grazie da:
#26
Si. puoi provare anche l'installazione su una penna usb con systemback, a patto sia abbastanza veloce e la capienza sia adeguata, così qualsiasi cosa succeda, il sistema principale non corre rischi.

Guarda se l'adattatore (inserito) ha per caso dei driver installati con :
Codice:
lspci -kvnn
Codice:
lsmod
nel caso li devi mettere in blacklist, soprattutto se ne avessi uno già integrato che potrebbe andare in conflitto con quello nuovo, se è esterno anche l'altro non dovrebbero esserci problemi, ma è sempre meglio controllare.
Cita messaggio
Grazie da:
#27
Ciao STkart,
ti allego un file txt nel quale sono riportate le risposte dei due comandi che mi hai comunicato

Ho fatto un file unico che riporta tutti e due i comandi


.txt   comandi.txt (Dimensione: 10,7 KB / Download: 5)

la parte lsmod mi sembra che all'inizio faccia qualche riferimento al nuovo dispositivo

Cosa ne pensi?
e io pago!! At
Cita messaggio
Grazie da:
#28
Il driver è l'rt2800usb che viene caricato, ma se non funziona l'aggeggio è un di più.
Inoltre non viene citato il tuo ID hardware per Ubuntu 16.04-Mint 18.
Cita messaggio
Grazie da:
#29
allora devo mettere in blacklist tutto ciò che riguarda  rt2800usb per escluderlo e, di conseguenza installare i driver dal cd (come ti avevo indicato sopra) ?

La procedura buona è quanto indicato in  https://wiki.archlinux.org/index.php/Ker...#Blacklist  ??

Ma come devo trattare quel makefile (che sembra essere il punto di partenza, un po' come un ""setup"") ??
e io pago!! At
Cita messaggio
Grazie da:
#30
Gli dai da terminale :
Codice:
sudo xed etc/modprobe.d/blacklist.conf
nell'ultima riga dai uno spazio e aggiungi :
Codice:
# RT5572
blacklist rt2800usb
salvi e riavvii.

Controlli da terminale se non l'ha caricato :
Codice:
lsmod | grep rt2800usb
se il terminale non rimanda niente, vuol dire che non l'ha caricato.

In quanto ai driver, appena hai fatto la copia con systemback, le istruzioni sono queste :

Selezioni il file originale (DPO_RT5572_LinuxSTA_2.6.1.3_20121022 o qualsiasi sia e lasciagli il nome originale tante volte che lo cercasse con quello ) tasto dx > estrai qui.
Ovunque l'hai estratto tasto dx > Apri un terminale qui.

Poi si va nell'incerto.
Ho controllato :
( set the "MODE = STA" in Makefile and chose the TARGET to Linux by set "TARGET = LINUX" )
queste due voci sono già settate.
( define the linux kernel source include file path LINUX_SRC - modify to meet your need. )
Come ho detto questo non è il mio campo, ma FORSE bisogna modificare la riga con il kernel 2.6.x-x, mettendoci quello attuale.

( In os/linux/config.mk
define the GCC and LD of the target machine
define the compiler flags CFLAGS
modify to meet your need. )
Qui FORSE lo stesso che sopra, mettere la versione di GCC e LD

le versioni le trovi tutte con :
Codice:
apt-cache policy nomepacchetto
LD è nel pacchetto binutils

Gli altri parametri non ho idea :
*
Codice:
* Build for being controlled by NetworkManager or wpa_supplicant wext functions
  Please set 'HAS_WPA_SUPPLICANT=y' and 'HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y'.
  => #>cd wpa_supplicant-x.x
  => #>./wpa_supplicant -Dwext -ira0 -c wpa_supplicant.conf -d
** Build for being controlled by WpaSupplicant with Ralink Driver
  Please set 'HAS_WPA_SUPPLICANT=y' and 'HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=n'.
  => #>cd wpa_supplicant-0.5.7
  => #>./wpa_supplicant -Dralink -ira0 -c wpa_supplicant.conf -d

Il wpasupplicant è alla versione 2.1-0ubuntu1.4

A questo punto dargli il
Codice:
make
(# To fix "error: too few arguments to function ¡¥iwe_stream_add_event"
 => $patch -i os/linux/sta_ioctl.c.patch os/linux/sta_ioctl.c )
Non si sa.

Qui manca il sudo make install che non è citato.

Da terminale dare questa istruzione per copiare il file che contiene i parametri connessione :
Codice:
cp RT2870STA.dat  /etc/Wireless/RT2870STA/RT2870STA.dat
   
per caricare il driver da terminale :
Codice:
/sbin/insmod rt2870sta.ko
per fargli prendere la connessione
Codice:
/sbin/ifconfig ra0 inet YOUR_IP up

Per chiudere la connessione :    
Codice:
/sbin/ifconfig ra0 down
per rimuovere il driver
Codice:
/sbin/rmmod rt2870sta

Questo è quanto c'è scritto, ma mi pare che si tratti di istruzioni che servono solo per i vecchi kernel, ma non per quelli che vengono usati adesso.

Comunque come ho detto se lo fai sulla copia, ti ci puoi sbizzarrire come vuoi, senza far danni, provando ogni tipo di procedura possibile
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: